import React, {Component} from 'react'
import { ConfigProvider } from 'antd'
import enUS from 'antd/es/locale/en_US'
import zhCN from 'antd/es/locale/zh_CN'

import asyncComponent from '@/utils/asyncComponent'
import Header from './header'
import Sidemenu from './sidemenu'

import './index.scss'

const Tabview = asyncComponent(() => import('@/components/tabview'))
const _locale = sessionStorage.getItem('lang') !== 'en-US' ? zhCN : enUS

class Design extends Component {
  UNSAFE_componentWillMount() {
    sessionStorage.setItem('isEditState', 'true')
    window.GLOB.mkHS = true

    Object.defineProperty(window, 'debugger', {
      writable: false,
      value: false
    })
  }
  
  render () {
    return (
      <div className="mk-hs-view">
        <ConfigProvider locale={_locale}>
          <Sidemenu key="sidemenu"/>
          <Tabview key="tabview"/>
          <Header key="header"/>
        </ConfigProvider>
      </div>
    )
  }
}

export default Design